svnmanager1.10报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

svnmanager1.10报错

svnmanager 库管理中操作user privileges和group privileges选择select报错:

VersionControl_SVN_Exception: "svn_path" is not a valid option
#0 /usr/local/php/lib/php/VersionControl/SVN.php(267): VersionControl_SVN_Command->setOptions(Array)
#1 /usr/local/php/lib/php/VersionControl/SVN.php(226): VersionControl_SVN::init('list', Array)
#2 /opt/apps/web/php/svnmanager/svnmanager/RepositoryModule/GroupPrivilegesEditPage.php(214): VersionControl_SVN::factory(Array, Array)
#3 /opt/apps/web/php/svnmanager/prado-2.0.3/framework/Web/UI/TControl.php(419): GroupPrivilegesEditPage->onLoad(Object(TEventParameter))
#4 /opt/apps/web/php/svnmanager/prado-2.0.3/framework/Web/UI/TPage.php(1079): TControl->onLoadRecursive(Object(TEventParameter))
#5 /opt/apps/web/php/svnmanager/prado-2.0.3/framework/Web/UI/TPage.php(955): TPage->onLoadRecursive(Object(TEventParameter))
#6 /opt/apps/web/php/svnmanager/prado-2.0.3/framework/TApplication.php(483): TPage->execute()
#7 /opt/apps/web/php/svnmanager/index.php(5): TApplication->run()
#8 {main}
SVN.PHP

226 $obj = VersionControl_SVN::init($cmd, $options);

   if (include_once realpath(dirname(__FILE__)) . "/SVN/Command/{$cmd}.php") {
            if (class_exists($class)) {
                $obj = new $class;
                $obj->options = $options;
267           $obj->setOptions($options);
                return $obj;
            }
        }

我apachej 2.4.10,php是5.6.4 ,VersionControl_SVN0.5.2
有兄弟遇到过这样的问题吗?

展开
收起
a123456678 2016-06-15 15:52:55 1993 0
1 条回答
写回答
取消 提交回答
  • 建议用svnmanger-1.09 + VersionControl_SVN 0.4.0

    svnmanger-1.10 bug太多。

    2019-07-17 19:39:31
    赞同 展开评论 打赏
问答分类:
PHP
问答地址:
相关产品:
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载